sqitch-show(3pm)

Name
sqitch-show - Show object information or script contents

Synopsis
  sqitch show [options] <type> <object>

Description
Shows information about Sqitch objects. The first argument must be the type of object to show, and the second must be a key identifier for the object in the plan. The second argument must be a a change name or tag as specified in sqitchchanges. The supported types include:

"change"
    A change object. Outputs the text used to generate the change SHA1 ID.

"tag"
    A tag. Outputs the text used to generate the tag SHA1 ID.

"deploy"
    A change deploy script.

"revert"
    A change revert script.

"verify"
    A change verify script.

Options

"-t"
"--target"
    The target database, the plan for which should be read before deciding what object to show. This option should be the name of a target in the configuration.

"-e"
"--exists"
    Suppress all output; instead exit with zero status if "<object>" exists and is a valid object.

"--plan-file"
"-f"
    Path to the deployment plan file. Overrides target, engine, and core configuration values. Defaults to $top_dir/sqitch.plan.

  Examples

•   Show information about a specific change:

      sqitch show change add_users_table

•   Show information about a change by ID:

      sqitch show change be7cd00571d7151eacb0691e825dfc8980cc14ff

•   Show the most recent change info:

      sqitch show change @HEAD

•   Show information about a tag:

      sqitch show tag @beta1

•   Show the contents of a deploy file:

      sqitch show deploy add_users_table@HEAD

Sqitch
Part of the sqitch suite.